//
//  Keychain.swift
//  Demo1
//
//  Created by Jiri Dutkevic on 01/03/16.
//  Copyright © 2016 Avast. All rights reserved.
//

import Foundation

@objc class Keychain : NSObject {
    
    static let keychain = KeychainProxy()
    
    static func getPassword() -> String? {
        return keychain.getString("password")
    }
    
    static func setPassword(password: String) {
        keychain.setString(password, forItem: "password")
    }
    
    static func getData() -> String? {
        return keychain.getString("data")
    }
    
    static func setData(data: String) {
        keychain.setString(data, forItem: "data")
    }
}
