//
//  ContentController.swift
//  Demo1
//
//  Created by Jiri Dutkevic on 01/03/16.
//  Copyright © 2016 Avast. All rights reserved.
//

import UIKit

class ContentController : UIViewController {
    
    @IBOutlet weak var label: UILabel!
    
    var password: String?
    
    override func viewDidAppear(animated: Bool) {
        super.viewDidAppear(animated)
        let iv = NSMutableData(length: Encryptor.aesBlockSize())!
        if let data = Keychain.getData(), let pwd = password {
            let key = Encryptor.deriveKey(NSString(string: pwd).dataUsingEncoding(NSUTF8StringEncoding)!)
            let decrypted = Encryptor.aesDecryptData(data, key: key!, iv: iv)!
            label.text? = NSString(data: decrypted, encoding: NSUTF8StringEncoding)! as String
        }
    }
}
