//
//  main.m
//  Properties
//
//  Created by Jiri Dutkevic on 03/03/16.
//  Copyright © 2016 Avast. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <objc/runtime.h>
#import <AppKit/AppKit.h>

int main(int argc, const char * argv[]) {
    @autoreleasepool {
        
        unsigned int count;
        objc_property_t *properties = class_copyPropertyList([NSViewController class], &count);
        for (NSUInteger i = 0; i < count; i++) {
            objc_property_t property = properties[i];
            NSString *key = [NSString stringWithUTF8String:property_getName(property)];
            NSLog(@"%@", key);
        }
        free(properties);
        
    }
    return 0;
}
