//
//  Encryptor.h
//  FFL2CommonCrypto
//
//  Created by Jiri Dutkevic on 21/12/15.
//  Copyright © 2015 Avast. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Encryptor : NSObject

+ (nullable NSData *)randomBytes:(NSInteger)size;

+ (NSInteger)aesBlockSize;

+ (NSInteger)aesKeySize;

+ (NSInteger)sha256Size;

+ (nullable NSData *)aesEncryptData:(nonnull NSData *)data key:(nonnull NSData *)key iv:(nonnull NSData *)iv;

+ (nullable NSData *)aesDecryptData:(nonnull NSData *)data key:(nonnull NSData *)key iv:(nonnull NSData *)iv;

+ (nullable NSData *)deriveKey:(nonnull NSData *)key;

@end
