//
//  LockController.swift
//  Demo1
//
//  Created by Jiri Dutkevic on 01/03/16.
//  Copyright © 2016 Avast. All rights reserved.
//

import UIKit

class LockController: UIViewController {
    
    @IBOutlet weak var text: UITextField!
    
    var password: String?
    
    @IBAction func unlockTapped() {
        if let pwd = Keychain.getPassword(), t = text?.text {
            let hash = Encryptor.sha256Data(NSString(string: t).dataUsingEncoding(NSUTF8StringEncoding)!)!
            if hash.isEqualToData(pwd) {
                password = t
                next()
            }
        }
    }
    
    func next() {
        performSegueWithIdentifier("UnlockSegue", sender: nil)
    }
    
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        if let c = segue.destinationViewController as? ContentController, let pwd = password {
            c.password = pwd
        }
    }
}
