# The **Swift** Programming Language

---

# Origins

- Started in 2010 by Chris Lattner.
- Announced at WWDC 2014.
- Released with iOS8.

---

# The open source project

- Announced WWDC 2014, released late 2015.
- Developed in the open at [swift.org](https://swift.org).

Components:
 1. Language and standard library
 2. Package Manager
 3. Foundation, libdispatch, XCTest
 4. REPL and debugger

---

# Tools

- Xcode 7.3
- Package Manager, [example package](https://github.com/apple/example-package-dealer)
- [Atom](https://atom.io/) with [language-swift](https://atom.io/packages/language-swift) and [swift-debugger](https://atom.io/packages/swift-debugger)
